sayren Docs
주문

주문 상세 조회

주문자·배송지·결제 금액과 주문상품 전체를 조회한다. 스코프 `order:r`. 테스트 결제(샌드박스 결제) 주문은 `testPayment: true`다. 실제로 돈이 오가지 않았으므로 상품을 발송하지 않도록 주의한다. `testPayment` 쿼리로 테스트 결제만(`true`)·실결제만(`false`) 볼 수 있다. method는 호환용이며 간편결제를 CARD로 표시한다. 실제 수단은 approvedMethod를 본다(`payment.approvedMethod` — 매출 리포트·스토어프론트·환불 원장과 같은 값). 간편결제면 `payment.easyPayProvider`에 간편결제사가 함께 온다.

GET
/v1/orders/{orderId}

주문자·배송지·결제 금액과 주문상품 전체를 조회한다. 스코프 order:r.

테스트 결제(샌드박스 결제) 주문은 testPayment: true다. 실제로 돈이 오가지 않았으므로 상품을 발송하지 않도록 주의한다. testPayment 쿼리로 테스트 결제만(true)·실결제만(false) 볼 수 있다.

method는 호환용이며 간편결제를 CARD로 표시한다. 실제 수단은 approvedMethod를 본다(payment.approvedMethod — 매출 리포트·스토어프론트·환불 원장과 같은 값). 간편결제면 payment.easyPayProvider에 간편결제사가 함께 온다.

Authorization

accessToken
AuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

In: header

Path Parameters

orderId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

application/json

curl -X GET "https://example.com/v1/orders/string" \  -H "X-Store-Id: string"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "orderId": "string",    "progressStatus": "PAYMENT_WAITING",    "orderNo": null,    "orderedAt": "string",    "orderer": {      "name": "string",      "phone": "string",      "email": "user@example.com"    },    "requiresShipping": true,    "shippingAddress": {      "receiverName": "string",      "phone": "string",      "zipCode": "string",      "address1": "string",      "address2": "string",      "deliveryMemo": "string",      "entranceCode": "string"    },    "payment": {      "method": "CARD",      "approvedMethod": null,      "easyPayProvider": null,      "productAmount": 0,      "deliveryFee": 0,      "discountAmount": 0,      "couponDiscountAmount": 0,      "deliveryDiscountAmount": 0,      "pointAmount": 0,      "discounts": [],      "totalAmount": 0,      "paidAt": "string",      "cashReceipt": null    },    "testPayment": true,    "items": [      {        "orderItemId": "string",        "orderItemNo": null,        "orderId": "string",        "status": "PAYMENT_WAITING",        "claimStatus": "CANCEL_REQUESTED",        "productId": "string",        "productName": "string",        "optionId": "string",        "optionName": "string",        "optionSelections": [],        "customInputs": [],        "stay": {          "checkIn": "string",          "checkOut": "string",          "nights": [            {              "date": "string",              "price": 0            }          ]        },        "sellerCode": "string",        "fulfillmentSnapshot": {          "type": "SHIPPING",          "shipping": {            "bundleKey": "string",            "returnAddressId": "string"          },          "method": "string",          "pickupLocation": {            "locationId": "string",            "name": "string",            "address": "string",            "phone": "string",            "hours": "string"          }        },        "quantity": 0,        "canceledQuantity": 0,        "activeQuantity": 0,        "unitPrice": 0,        "discountAmount": 0,        "totalPrice": 0,        "couponDiscountAmount": 0,        "pointAllocation": 0,        "hold": {          "reason": "string",          "expectedDispatchDate": "string"        },        "fulfillment": null,        "autoDecisionDate": "string",        "sellerMemo": "string",        "orderedAt": "string",        "lastChangedAt": "string",        "lastChangedType": "ORDER.PAID",        "testPayment": true      }    ]  },  "error": null}